Subject: RE: Should we do something with #git-devel on Freenode?

From: "Randall S. Becker" <[email-masked]>
Date: Fri, 21 May 2021 16:12:44 -0400

On May 21, 2021 2:38 PM, Felipe Contreras wrote:
>Jeff King wrote:
>> Of course there's value in coordinating. Everybody _can_ hang out on
>> their favorite venues and eventually talk to each other, but it's much
>> easier if everybody agrees where to go. :)
>
>I don't think it works that way.
>
>I "everybody" agrees to move to Discord, many old-timers won't. Same with Gitter. And if most people were on IRC, many youngsters
>wouldn't come.

Having been on IRC for three separate rounds, with a smattering of AOL, CompuServe, HipChat, Slack, Hangouts, Messenger, SMS, Skype, Teams... I'd be surprised if a consensus is possible.  The limiting factor for most of my circle is whether connections are even possible from corporate intranets and IRC is generally blocked. For the more blocked ones, Slack and Teams tend to be more palatable (not in my opinion). We have IRC open by exemption (specifically for #git) and will close it if IRC is discontinued. It might be worth taking a poll of what people can use instead of preference. My $0.02 bet is that that is the limiting factor for the community as a whole (work from home COVID notwithstanding).

>There's a limit to how many chat applications you are willing juggle, and adding one more just to chat with git developers is something
>many people won't do.

I don't know about you, but when 5 or 6 chat platforms beep at me at the same time, I start looking for the exit - or Friday afternoons. As a sideways thought, maybe we should just figure out a way to go to Zoom and be done with it (I have no affiliation).

Cheers,
-Randall

-- Brief whoami:
NonStop developer since approximately 211288444200000000
UNIX developer since approximately 421664400
Still not talking about MVS.
-- In my real life, I talk too much.